Bug 2101942 (CVE-2022-2256) - CVE-2022-2256 keycloak: improper input validation permits script injection
Summary: CVE-2022-2256 keycloak: improper input validation permits script injection
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-2256
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2101557
TreeView+ depends on / blocked
 
Reported: 2022-06-28 20:47 UTC by Chess Hazlett
Modified: 2022-11-29 08:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A Stored Cross-site scripting (XSS) vulnerability was found in keycloak. This flaw allows a privileged attacker to execute malicious scripts in the admin console, abusing the default roles functionality.
Clone Of:
Environment:
Last Closed: 2022-11-29 08:17:34 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:6782 0 None None None 2022-10-04 15:38:31 UTC
Red Hat Product Errata RHSA-2022:6783 0 None None None 2022-10-04 15:42:17 UTC
Red Hat Product Errata RHSA-2022:6787 0 None None None 2022-10-04 15:54:22 UTC

Description Chess Hazlett 2022-06-28 20:47:34 UTC
Keycloak does not properly sanitize inputs in certain UI fields in client registration. A malicious authenticated user with administrative privileges could use this flaw to conduct cross-site scripting attacks and possibly gain access to user-sensitive information.

Comment 3 errata-xmlrpc 2022-10-04 15:38:28 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.5 for RHEL 7

Via RHSA-2022:6782 https://access.redhat.com/errata/RHSA-2022:6782

Comment 4 errata-xmlrpc 2022-10-04 15:42:13 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.5 for RHEL 8

Via RHSA-2022:6783 https://access.redhat.com/errata/RHSA-2022:6783

Comment 5 errata-xmlrpc 2022-10-04 15:54:19 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On

Via RHSA-2022:6787 https://access.redhat.com/errata/RHSA-2022:6787

Comment 7 Product Security DevOps Team 2022-11-29 08:17:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-2256


Note You need to log in before you can comment on or make changes to this bug.